summaryrefslogtreecommitdiff
path: root/bin/get-package-updates
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-10-27 15:35:58 +0200
committerErich Eckner <git@eckner.net>2017-10-27 15:35:58 +0200
commit1c26d16709872f97dfce4615a31e472fa0afb3fb (patch)
treea71c15adfd6b11f7321d815a526cb00873509ffc /bin/get-package-updates
parent1dfef01eaa3913ae4281d40c1477a56143509f6b (diff)
downloadbuilder-1c26d16709872f97dfce4615a31e472fa0afb3fb.tar.xz
add shared lock for sanity-check
Diffstat (limited to 'bin/get-package-updates')
-rwxr-xr-xbin/get-package-updates6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/get-package-updates b/bin/get-package-updates
index c524080..83b0107 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -128,6 +128,12 @@ if ! flock ${block_flag} 9; then
exit
fi
+exec 8> "${sanity_check_lock_file}"
+if ! flock -s ${block_flag} 8; then
+ >&2 echo 'come back (shortly) later - sanity-check running.'
+ exit
+fi
+
echo 'Check modified packages from the last update, and put them to the build list.'
# Check modified packages from the last update, and put them to the build list.